<?	session_start();
	if(!isset($_SESSION['id_admin'])){
		header("../acceso.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');

	$Nombre = $_POST["nombre"];
	$Precio = $_POST["precio"];
	$Categoria = $_POST["categoria"];
	$url=$_POST["url"];
	$Id= $_POST["Id_producto"];

	$nombre_foto= $_FILES[0]['name']; 
	
	Conectar();
	
	if ($Id != 0){
		$sql = "Update Tienda Set ";
		
		$sql = $sql .  " Nombre ='$Nombre', Precio ='$Precio', Categoria = '$Categoria'";
		
		if ($nombre_foto <>"")
				$sql = $sql .  ", Foto ='$nombre_foto'";
				
		$sql = $sql . " where Id = $Id";
		
		mysql_query($sql);		
		}
	else{
		$sql = "INSERT INTO Tienda (`Foto`, `Nombre`, `Precio`, `Categoria`) VALUES ( '$nombre_foto', '$Nombre', '$Precio', '$Categoria')";	
		mysql_query($sql);		
		$Id=mysql_insert_id();	
	}

	Desconectar();
	if ($nombre_foto <>"")
		{ 				
		if (!file_exists("../imagenes/tienda/$Id"))
			mkdir("../imagenes/tienda/$Id", 0777);
		$ruta ="../imagenes/tienda/$Id/$nombre_foto";
		move_uploaded_file($_FILES[0]['tmp_name'], $ruta) ;			
		}

	header("location:$url");
	
	}
?>